Package Release Info

python-yaql-1.1.3-bp152.4.7

Update Info: Base Release
Available in Package Hub : 15 SP2

platforms

AArch64
ppc64le
s390x
x86-64

subpackages

python2-yaql
python3-yaql

Change Logs

* Wed Oct 09 2019 Thomas Bechtold <tbechtold@suse.com>
- Cleanup specfile
* Mon Apr 08 2019 Dirk Mueller <dmueller@suse.com>
- switch to stable/stein spec template
Version: 1.1.3-bp150.1.3
* Fri Feb 23 2018 tbechtold@suse.com
- Switch to stable/queens spec template
* Sat Aug 05 2017 tbechtold@suse.com
- switch to stable/pike version
* Wed Jun 07 2017 cloud-devel@suse.de
- update to version 1.1.3
  - Refactor datetime.datetime usage to defined DATETIME_TYPE
  - Use reno for releasenotes
  - [docs] Docstrings for branching YAQL functions
  - YAQL autodoc script
  - [docs] Docstrings for strings YAQL functions
  - Pass re.VERBOSE explicitly
  - [docs] Docstrings for queries YAQL functions
  - Added engine options to disable input/output data conversion
  - Use __slots__ for yaqltypes
  - [docs] Docstrings for system YAQL functions
  - [docs] Docstrings for common YAQL functions
  - Remove oslosphinx from sphinx extensions
  - Auto building of std library docs
  - Add help info to CLI options
  - Update tests of YAQL queries
  - Rename shiftBitsLeft and shiftBitsRight arguments
  - Don't include openstack/common in flake8 exclude list
  - Customizing and extending yaql documentation
  - Fix "indexOf", "lastIndexOf" methods length parameter usage
  - YAQL syntax documentation
  - Use modern PBR and hacking packages
  - Use __slots__ for Parameter/Function definition
  - Remove discover from test-requirements
  - [docs] Docstrings for date_time YAQL functions
  - [docs] Docstrings for legacy YAQL functions
  - [docs] Docstrings for math YAQL functions
  - Update flake8 ignore list
  - Improvements to yaql CLI
  - [docs] Docstrings for boolean YAQL functions
  - Add a test proving escaped back references work
  - groupBy() aggregator was fixed
  - Create child context in regex/search function
  - Drop MANIFEST.in - it's not needed by pbr
  - [docs] Docstrings for yaqlized YAQL functions
  - [docs] Docstrings for regex YAQL functions
  - Changed the home-page link
  - Replace ValueError with StopIteration in single() method
  - Use six.moves.input for Python 3 compatability
  - Enable release notes translation
  - [docs] Docstrings for collections YAQL functions
* Fri Feb 10 2017 tbechtold@suse.com
- Use spec from openstack/rpm-packaging project
- Add _service
* Tue Nov 15 2016 dmueller@suse.com
- update to 1.1.1:
  * Fix string operators >= and <=
  * Extend .slice() method implementation to all Iterables
  * Fix typo in YAML example
  * Python 3 compatibility issues were fixed
* Thu May 26 2016 tbechtold@suse.com
- Initial packaging (version 1.1.0)
Version: 1.1.3-bp151.4.3
* Mon Sep 03 2018 dmueller@suse.com
- switch to stable/rocky spec template